/*****************************************************************************
 *            Created: 6/04/2011
 *          Copyright: (C) Copyright David Goodwin, 2011
 *            License: GNU General Public License
 *****************************************************************************
 *
 *   This is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This software is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this software; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 ****************************************************************************/

#ifndef COMMENTEDIT_H
#define COMMENTEDIT_H

#include <QPlainTextEdit>

/** A widget for editing disk image comments with line count/length
  restrictions. Locked to a maximum of six lines of 1024 characters.
 */
class CommentEdit : public QPlainTextEdit
{
    Q_OBJECT
public:
    explicit CommentEdit(QWidget *parent = 0);

protected:
    virtual void keyPressEvent ( QKeyEvent * e );

signals:

public slots:

};

#endif // COMMENTEDIT_H
