TEMPLATE = lib
CONFIG += plugin
CONFIG += warn_on

# ## Build Mode stuff
#CONFIG += debug_and_release
CONFIG(debug, debug|release) { 
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../../debug
release:DESTDIR = ../../release

# Include path
INCLUDEPATH += ../../include

# For LibDsk
win32{
    INCLUDEPATH += ../../lib/libdsk
    LIBS += -L../../lib/libdsk -llibdsk
}
unix {
    INCLUDEPATH += /usr/local/include
    LIBS = -L/usr/local/lib -ldsk
}

RC_FILE = FPlibdsk.rc

# Generate install target
unix:isEmpty(PREFIX):PREFIX = /opt/dimg
win32:isEmpty(PREFIX):PREFIX = C:/dimg
target.path = $$PREFIX/bin
INSTALLS += target

HEADERS += FPlibdsk.h
HEADERS += versinfo.h
HEADERS += libdskimagefile.h

# This has to be included where ever its used as its a QObject subclass
HEADERS += ../../include/imagefile.h

SOURCES += FPlibdsk.cpp
SOURCES += libdskimagefile.cpp

# Now. This plugin is a wrapper around LibDsk. DQDLibDsk provides a
# nice Qtified wrapper around LibDsk. May as well reuse it
HEADERS += ../../DQlibdskdrv/qlibdsk.h
SOURCES += ../../DQlibdskdrv/qlibdsk.cpp
