TEMPLATE = lib
CONFIG += plugin

# ## Build Mode stuff
#CONFIG += debug_and_release
CONFIG(debug, debug|release) { 
    TARGET = $$join(TARGET,,,d)
    DEFINES += _DIMG_DEBUG
    win32:PREFIX = C:\temp\dimg
    unix:PREFIX = /tmp/dimg
}

# Target directories
debug:DESTDIR = ../../debug
release:DESTDIR = ../../release

INCLUDEPATH += ../../include

RC_FILE = FPzip.rc

# Generate install target
unix:isEmpty(PREFIX):PREFIX = /opt/dimg
win32:isEmpty(PREFIX):PREFIX = C:/dimg
target.path = $$PREFIX/bin
INSTALLS += target

HEADERS += FPzip.h
HEADERS += versinfo.h
HEADERS += zipimagefile.h
HEADERS += ziputil.h

# This has to be included where ever its used as its a QObject subclass
HEADERS += ../../include/imagefile.h

SOURCES += FPzip.cpp
SOURCES += zipimagefile.cpp
SOURCES += ziputil.cpp

LIBS += -L../../lib/bin -lminizip
