/*
-----------------------------------------------------
   Application Name: "DIMG" DQWindrv plugin
          File Name: constants.h
       Last Changed: $LastChangedDate: 2011-04-09 00:17:11 +1200 (Sat, 09 Apr 2011) $
           Revision: $Revision: 295 $
          Author(s): David Goodwin
          Copyright: (C) Copyright David Goodwin, 2009
            License: GNU General Public License
   File Description: Constants
-----------------------------------------------------
        This file is part of "DIMG".

    This is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This software is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this software; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

        File Notes:
        ------------------
*/

#include <Qt>

namespace errors {
    static const int ERR_OK                 =  0;
    static const int ERR_NOTIMPL            =  1;
    static const int ERR_USRCANCVIRTMNT     =  2;
    static const int ERR_VOL_LOCK_FAILED    =  3;
    static const int ERR_VOL_UNLOCK_FAILED  =  4;
    static const int ERR_DEV_OPEN_FAILED    =  5;
    static const int ERR_DEV_CLOSE_FAILED   =  6;
    static const int ERR_NULL_POINTER       =  7;
    static const int ERR_MEM_ALLOC_FAILED   = 10;
    static const int ERR_DEV_WRITE_FAILED   = 11;
    static const int ERR_DEV_READ_FAILED    = 12;
    static const int ERR_DEV_ALREADY_OPEN   = 13;
    static const int ERR_DEV_SEEK_FAILED    = 14;
}

static const QString floppy_drives[] = {"A:", "B:"};
static const int floppy_drive_count = 2;

// Set below to FALSE to disable autodetection of floppy drives
static const bool detect_floppy_drives = true;


