#include "libdskimagefile.h"

LibDskImageFile::LibDskImageFile(QObject *parent) :
    ImageFile(parent)
{

}

LibDskImageFile::~LibDskImageFile() {
    close();
}

void LibDskImageFile::open(QString filename,
                        bool create,
                        bool cache,
                        long long expectedSize) {

}

void LibDskImageFile::openExisting(QString filename,
                                bool cache) {

}

QIODevice *LibDskImageFile::device() {
    return 0;
}

bool LibDskImageFile::createCachedFile() {

    return true;
}

int LibDskImageFile::save() {

    return 0;
}

int LibDskImageFile::close() {

    return 0;
}

ImageFile::Features LibDskImageFile::getFeatures() const {
    return ImageFile::F_Cached | ImageFile::F_RawFormat;
}

bool LibDskImageFile::isOpen() const {
    return false;
}

void LibDskImageFile::bytesWritten(qint64 /*bytes*/) {
    dirtyFile();
}

void LibDskImageFile::cleanFile() {
    dirty = false;
    qDebug() << "FPRaw/RawImageFile is now clean.";
}

void LibDskImageFile::dirtyFile() {
    dirty = true;
    qDebug() << "FPRaw/RawImageFile is now dirty.";
}
